#include <iostream>
#include <string>
using namespace std;
int main(){
    int n,k=0;
    cin>>n;
    string a;
    cin>>a;
    while(i<n){
        if(int(a[i])-65<k){
            a.erase(i,1);
            n--;
        }
        else{
            if(int(a[i])-65==k){
                k++;
            }
        }
    }
    if(k!=27){
        cout<<0;
    }
    else{
        int m[26];
        for(int i=0;i<n;i++){
            m[int(a[i])-65]++;
        }
        int n=1;
        for(int i=0;i<26;i++){
                n*=a[i];
                n%=1000000007;
        }
        cout<<n;
    }
}